Xerces-C++: XMLEntityHandler Class Reference

Xerces-C++ 3.2.2

List of all members
XMLEntityHandler Class Referenceabstract

This abstract class is a callback mechanism for the scanner. More...

Inheritance diagram for XMLEntityHandler:

## Public Member Functions
Destructor
virtual | ~XMLEntityHandler ()
| Default destructor. More...
The pure virtual methods in this interface.
virtual void | endInputSource (const InputSource &inputSource)=0
| This method get called after the scanner has finished reading from the given input source while processing external entity references. More...
virtual bool | expandSystemId (const XMLCh *const systemId, XMLBuffer &toFill)=0
| This method allows the passes the scanned systemId to the entity handler, thereby giving it a chance to provide any customized handling like resolving relative path names. More...
virtual void | resetEntities ()=0
| This method allows the entity handler to reset itself, so that it can be used again. More...
virtual InputSource * | resolveEntity (XMLResourceIdentifier *resourceIdentifier)=0
| This method allows the entity handler to provide customized application specific entity resolution. More...
virtual void | startInputSource (const InputSource &inputSource)=0
| This method will be called before the scanner starts reading from an input source while processing external entity references. More...

## Protected Member Functions
Constructor
| XMLEntityHandler ()
| Protected default constructor. More...

## Detailed Description

This abstract class is a callback mechanism for the scanner.

By creating a derivative of this class and plugging into the scanner, the scanner will call back on the object's methods to entity events.

This class is primarily for use by those writing their own parser classes. If you use the standard parser classes, DOMParser and SAXParser, you won't use this API. You will instead use a similar mechanism defined by the SAX API, called EntityResolver.

## Constructor & Destructor Documentation

## ◆ ~XMLEntityHandler()

virtual XMLEntityHandler::~XMLEntityHandler | ( |  | ) |
| virtual

Default destructor.

## ◆ XMLEntityHandler()

XMLEntityHandler::XMLEntityHandler | ( |  | ) |
| protected

Protected default constructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ endInputSource()

virtual void XMLEntityHandler::endInputSource | ( | const InputSource & | inputSource | ) |
| pure virtual

This method get called after the scanner has finished reading from the given input source while processing external entity references.

Parameters

  inputSource | The input source for the entity

Implemented in SAXParser, and XercesDOMParser.

## ◆ expandSystemId()

virtual bool XMLEntityHandler::expandSystemId | ( | const XMLCh *const | systemId,
|  | XMLBuffer & | toFill
| ) |  |
| pure virtual

This method allows the passes the scanned systemId to the entity handler, thereby giving it a chance to provide any customized handling like resolving relative path names.

The scanner first calls this method before calling `resolveEntity`.

Parameters

  systemId | The system id extracted by the scanner from the input source.
  toFill | The buffer in which the fully expanded system id needs to be stored.

Implemented in SAXParser, and XercesDOMParser.

## ◆ resetEntities()

virtual void XMLEntityHandler::resetEntities | ( |  | ) |
| pure virtual

This method allows the entity handler to reset itself, so that it can be used again.

It is called prior to a new document parse operation.

Implemented in SAXParser, and XercesDOMParser.

## ◆ resolveEntity()

virtual InputSource* XMLEntityHandler::resolveEntity | ( | XMLResourceIdentifier * | resourceIdentifier | ) |
| pure virtual

This method allows the entity handler to provide customized application specific entity resolution.

Only one resolveEntity method will be used. If both setEntityResolver and setXMLEntityResolver are called, then the last one is used.

Parameters

  resourceIdentifier | An object containing the type of resource to be resolved and the associated data members corresponding to this type.

Returns
  The value returned by the resolveEntity method or NULL otherwise to indicate no processing was done. The returned InputSource is owned by the parser which is responsible to clean up the memory.

Implemented in SAXParser, and XercesDOMParser.

## ◆ startInputSource()

virtual void XMLEntityHandler::startInputSource | ( | const InputSource & | inputSource | ) |
| pure virtual

This method will be called before the scanner starts reading from an input source while processing external entity references.

Parameters

  inputSource | The external input source.

Implemented in SAXParser, and XercesDOMParser.

The documentation for this class was generated from the following file:

- XMLEntityHandler.hpp